Get cluster namespace HAPs list

Get cluster namespace HAPs list

get

Get the list of HPA in the specified cluster and namespace.

Path parameters
clusterIdstringRequired
namespaceNamestringRequired
Responses
chevron-right
200

OK

*/*
creationTimestampstringOptionalExample: 2023-06-14 09:39:07
deploymentstringOptional

deployment information

Example: {"apiVersion":"autoscaling/v2","kind":"HorizontalPodAutoscaler"...
deploymentYamlstringOptional

deployment information(YAML)

Example: apiVersion: autoscaling/v2 kind: HorizontalPodAutoscaler metadata...
maxReplicasintegerOptional

Maximum replicas count

Example: 3
minReplicasintegerOptional

Minimum replicas count

Example: 2
namestringOptional

HPA name

Example: api-server-hpa
namespacestringOptional

namespace name

Example: cocktail-system
startTimestringOptionalExample: 2023-06-28 05:47:26
get
/v1/clusters/{clusterId}/namespaces/{namespaceName}/hpas
200

OK